Package org.apache.struts2.config.entities

# Class ConstantConfig

java.lang.Object
org.apache.struts2.config.entities.ConstantConfig

public class ConstantConfig extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ConstantConfig()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected String`
  `beanConfToString(BeanConfig beanConf)`
  `BeanConfig`
  `getAcceptedPatternsChecker()`
  `Boolean`
  `getActionConfigFallbackToEmptyNamespace()`
  `List<Pattern>`
  `getActionExcludePattern()`
  `List<String>`
  `getActionExtension()`
  `BeanConfig`
  `getActionProxyFactory()`
  `BeanConfig`
  `getActionValidatorManager()`
  `Set<Pattern>`
  `getAdditionalAcceptedPatterns()`
  `Set<Pattern>`
  `getAdditionalExcludedPatterns()`
  `Map<String,String>`
  `getAllAsStringsMap()`
  `Pattern`
  `getAllowedActionNames()`
  `Pattern`
  `getAllowedMethodNames()`
  `BeanConfig`
  `getBeaninfoCacheFactory()`
  `Boolean`
  `getConfigurationXmlReload()`
  `BeanConfig`
  `getContentTypeMatcher()`
  `BeanConfig`
  `getConverterAnnotationProcessor()`
  `BeanConfig`
  `getConverterArray()`
  `BeanConfig`
  `getConverterCollection()`
  `BeanConfig`
  `getConverterCreator()`
  `BeanConfig`
  `getConverterDate()`
  `BeanConfig`
  `getConverterFileProcessor()`
  `BeanConfig`
  `getConverterHolder()`
  `BeanConfig`
  `getConverterNumber()`
  `BeanConfig`
  `getConverterPropertiesProcessor()`
  `BeanConfig`
  `getConverterString()`
  `List<String>`
  `getCustomI18nResources()`
  `List<String>`
  `getCustomProperties()`
  `String`
  `getDefaultActionName()`
  `String`
  `getDefaultMethodName()`
  `Boolean`
  `getDevMode()`
  `Set<Class<?>>`
  `getDevModeExcludedClasses()`
  `Set<Class<?>>`
  `getDevModeExcludedPackageExemptClasses()`
  `List<Pattern>`
  `getDevModeExcludedPackageNamePatterns()`
  `Set<String>`
  `getDevModeExcludedPackageNames()`
  `Boolean`
  `getDisableRequestAttributeValueStackLookup()`
  `Boolean`
  `getDisallowProxyMemberAccess()`
  `Boolean`
  `getDisallowProxyObjectAccess()`
  `BeanConfig`
  `getDispatcherErrorHandler()`
  `Boolean`
  `getDispatcherParametersWorkaround()`
  `Boolean`
  `getElThrowExceptionOnFailure()`
  `Boolean`
  `getEnableDynamicMethodInvocation()`
  `Boolean`
  `getEnableSlashesInActionNames()`
  `Set<Class<?>>`
  `getExcludedClasses()`
  `Set<Class<?>>`
  `getExcludedPackageExemptClasses()`
  `List<Pattern>`
  `getExcludedPackageNamePatterns()`
  `Set<String>`
  `getExcludedPackageNames()`
  `BeanConfig`
  `getExcludedPatternsChecker()`
  `BeanConfig`
  `getExpressionCacheFactory()`
  `BeanConfig`
  `getExpressionParser()`
  `Boolean`
  `getFreemarkerBeanwrapperCache()`
  `BeanConfig`
  `getFreemarkerManagerClassname()`
  `Integer`
  `getFreemarkerMruMaxStrongSize()`
  `String`
  `getFreemarkerTemplatesCacheUpdateDelay()`
  `Boolean`
  `getFreemarkerWrapperAltMap()`
  `Boolean`
  `getHandleException()`
  `String`
  `getI18nEncoding()`
  `Boolean`
  `getI18nReload()`
  `Locale`
  `getLocale()`
  `BeanConfig`
  `getLocaleProviderFactory()`
  `BeanConfig`
  `getLocalizedTextProvider()`
  `Boolean`
  `getMapperActionPrefixCrossNamespaces()`
  `Boolean`
  `getMapperActionPrefixEnabled()`
  `Boolean`
  `getMapperAlwaysSelectFullNamespace()`
  `BeanConfig`
  `getMapperClass()`
  `List<String>`
  `getMapperComposite()`
  `String`
  `getMapperIdParameterName()`
  `List<String>`
  `getMapperPrefixMapping()`
  `Integer`
  `getMultipartBufferSize()`
  `Boolean`
  `getMultipartEnabled()`
  `Long`
  `getMultipartMaxFiles()`
  `Long`
  `getMultipartMaxFileSize()`
  `Long`
  `getMultipartMaxSize()`
  `Long`
  `getMultipartMaxStringLength()`
  `BeanConfig`
  `getMultipartParser()`
  `String`
  `getMultipartSaveDir()`
  `Pattern`
  `getMultipartValidationRegex()`
  `BeanConfig`
  `getNotExcludedAcceptedPatternsChecker()`
  `BeanConfig`
  `getObjectFactory()`
  `BeanConfig`
  `getObjectFactoryActionFactory()`
  `BeanConfig`
  `getObjectFactoryConverterFactory()`
  `BeanConfig`
  `getObjectFactoryInterceptorFactory()`
  `BeanConfig`
  `getObjectFactoryResultFactory()`
  `String`
  `getObjectFactorySpringAutoWire()`
  `Boolean`
  `getObjectFactorySpringAutoWireAlwaysRespect()`
  `Boolean`
  `getObjectFactorySpringEnableAopSupport()`
  `Boolean`
  `getObjectFactorySpringUseClassCache()`
  `BeanConfig`
  `getObjectFactoryUnknownHandlerFactory()`
  `BeanConfig`
  `getObjectFactoryValidatorFactory()`
  `BeanConfig`
  `getObjectTypeDeterminer()`
  `Boolean`
  `getOgnlAllowStaticFieldAccess()`
  `Integer`
  `getOgnlAutoGrowthCollectionLimit()`
  `Boolean`
  `getOgnlEnableEvalExpression()`
  `Boolean`
  `getOgnlEnableExpressionCache()`
  `Boolean`
  `getOgnlLogMissingProperties()`
  `Set<Pattern>`
  `getOverrideAcceptedPatterns()`
  `Set<Pattern>`
  `getOverrideExcludedPatterns()`
  `BeanConfig`
  `getPatternMatcher()`
  `BeanConfig`
  `getReflectionContextFactory()`
  `BeanConfig`
  `getReflectionProvider()`
  `Boolean`
  `getServeStatic()`
  `Boolean`
  `getServeStaticBrowserCache()`
  `BeanConfig`
  `getStaticContentLoader()`
  `String`
  `getStaticContentPath()`
  `String`
  `getStrictMethodInvocationMethodRegex()`
  `BeanConfig`
  `getTextProviderFactory()`
  `String`
  `getUiTemplateDir()`
  `String`
  `getUiTemplateSuffix()`
  `String`
  `getUiTheme()`
  `String`
  `getUiThemeExpansionToken()`
  `BeanConfig`
  `getUnknownHandlerManager()`
  `Integer`
  `getUrlHttpPort()`
  `Integer`
  `getUrlHttpsPort()`
  `String`
  `getUrlIncludeParams()`
  `BeanConfig`
  `getUrlRenderer()`
  `BeanConfig`
  `getValueStackFactory()`
  `String`
  `getVelocityConfigfile()`
  `List<String>`
  `getVelocityContexts()`
  `BeanConfig`
  `getVelocityManagerClassname()`
  `String`
  `getVelocityToolboxlocation()`
  `BeanConfig`
  `getViewUrlHelper()`
  `Boolean`
  `getXsltNocache()`
  `BeanConfig`
  `getXworkConverter()`
  `void`
  `setAcceptedPatternsChecker(Class<?> clazz)`
  `void`
  `setAcceptedPatternsChecker(BeanConfig acceptedPatternsChecker)`
  `void`
  `setActionConfigFallbackToEmptyNamespace(Boolean actionConfigFallbackToEmptyNamespace)`
  `void`
  `setActionExcludePattern(List<Pattern> actionExcludePattern)`
  `void`
  `setActionExtension(List<String> actionExtension)`
  `void`
  `setActionProxyFactory(Class<?> clazz)`
  `void`
  `setActionProxyFactory(BeanConfig actionProxyFactory)`
  `void`
  `setActionValidatorManager(Class<?> clazz)`
  `void`
  `setActionValidatorManager(BeanConfig actionValidatorManager)`
  `void`
  `setAdditionalAcceptedPatterns(Set<Pattern> additionalAcceptedPatterns)`
  `void`
  `setAdditionalExcludedPatterns(Set<Pattern> additionalExcludedPatterns)`
  `void`
  `setAllowedActionNames(Pattern allowedActionNames)`
  `void`
  `setAllowedMethodNames(Pattern allowedMethodNames)`
  `void`
  `setBeaninfoCacheFactory(Class<?> clazz)`
  `void`
  `setBeaninfoCacheFactory(BeanConfig beaninfoCacheFactory)`
  `void`
  `setConfigurationXmlReload(Boolean configurationXmlReload)`
  `void`
  `setContentTypeMatcher(Class<?> clazz)`
  `void`
  `setContentTypeMatcher(BeanConfig contentTypeMatcher)`
  `void`
  `setConverterAnnotationProcessor(Class<?> clazz)`
  `void`
  `setConverterAnnotationProcessor(BeanConfig converterAnnotationProcessor)`
  `void`
  `setConverterArray(Class<?> clazz)`
  `void`
  `setConverterArray(BeanConfig converterArray)`
  `void`
  `setConverterCollection(Class<?> clazz)`
  `void`
  `setConverterCollection(BeanConfig converterCollection)`
  `void`
  `setConverterCreator(Class<?> clazz)`
  `void`
  `setConverterCreator(BeanConfig converterCreator)`
  `void`
  `setConverterDate(Class<?> clazz)`
  `void`
  `setConverterDate(BeanConfig converterDate)`
  `void`
  `setConverterFileProcessor(Class<?> clazz)`
  `void`
  `setConverterFileProcessor(BeanConfig converterFileProcessor)`
  `void`
  `setConverterHolder(Class<?> clazz)`
  `void`
  `setConverterHolder(BeanConfig ConverterHolder)`
  `void`
  `setConverterNumber(Class<?> clazz)`
  `void`
  `setConverterNumber(BeanConfig converterNumber)`
  `void`
  `setConverterPropertiesProcessor(Class<?> clazz)`
  `void`
  `setConverterPropertiesProcessor(BeanConfig converterPropertiesProcessor)`
  `void`
  `setConverterString(Class<?> clazz)`
  `void`
  `setConverterString(BeanConfig converterString)`
  `void`
  `setCustomI18nResources(List<String> customI18nResources)`
  `void`
  `setCustomProperties(List<String> customProperties)`
  `void`
  `setDefaultActionName(String defaultActionName)`
  `void`
  `setDefaultMethodName(String defaultMethodName)`
  `void`
  `setDevMode(Boolean devMode)`
  `void`
  `setDevModeExcludedClasses(Set<Class<?>> devModeExcludedClasses)`
  `void`
  `setDevModeExcludedPackageExemptClasses(Set<Class<?>> devModeExcludedPackageExemptClasses)`
  `void`
  `setDevModeExcludedPackageNamePatterns(List<Pattern> devModeExcludedPackageNamePatterns)`
  `void`
  `setDevModeExcludedPackageNames(Set<String> devModeExcludedPackageNames)`
  `void`
  `setDisableRequestAttributeValueStackLookup(Boolean disableRequestAttributeValueStackLookup)`
  `void`
  `setDisallowProxyMemberAccess(Boolean disallowProxyMemberAccess)`
  `void`
  `setDisallowProxyObjectAccess(Boolean disallowProxyObjectAccess)`
  `void`
  `setDispatcherErrorHandler(Class<?> clazz)`
  `void`
  `setDispatcherErrorHandler(BeanConfig dispatcherErrorHandler)`
  `void`
  `setDispatcherParametersWorkaround(Boolean dispatcherParametersWorkaround)`
  `void`
  `setElThrowExceptionOnFailure(Boolean elThrowExceptionOnFailure)`
  `void`
  `setEnableDynamicMethodInvocation(Boolean enableDynamicMethodInvocation)`
  `void`
  `setEnableSlashesInActionNames(Boolean enableSlashesInActionNames)`
  `void`
  `setExcludedClasses(Set<Class<?>> excludedClasses)`
  `void`
  `setExcludedPackageExemptClasses(Set<Class<?>> excludedPackageExemptClasses)`
  `void`
  `setExcludedPackageNamePatterns(List<Pattern> excludedPackageNamePatterns)`
  `void`
  `setExcludedPackageNames(Set<String> excludedPackageNames)`
  `void`
  `setExcludedPatternsChecker(Class<?> clazz)`
  `void`
  `setExcludedPatternsChecker(BeanConfig excludedPatternsChecker)`
  `void`
  `setExpressionCacheFactory(Class<?> clazz)`
  `void`
  `setExpressionCacheFactory(BeanConfig expressionCacheFactory)`
  `void`
  `setExpressionParser(Class<?> clazz)`
  `void`
  `setExpressionParser(BeanConfig expressionParser)`
  `void`
  `setFreemarkerBeanwrapperCache(Boolean freemarkerBeanwrapperCache)`
  `void`
  `setFreemarkerManagerClassname(Class<?> clazz)`
  `void`
  `setFreemarkerManagerClassname(BeanConfig freemarkerManagerClassname)`
  `void`
  `setFreemarkerMruMaxStrongSize(Integer freemarkerMruMaxStrongSize)`
  `void`
  `setFreemarkerTemplatesCacheUpdateDelay(String freemarkerTemplatesCacheUpdateDelay)`
  `void`
  `setFreemarkerWrapperAltMap(Boolean freemarkerWrapperAltMap)`
  `void`
  `setHandleException(Boolean handleException)`
  `void`
  `setI18nEncoding(String i18nEncoding)`
  `void`
  `setI18nReload(Boolean i18nReload)`
  `void`
  `setLocale(Locale locale)`
  `void`
  `setLocaleProviderFactory(Class<?> clazz)`
  `void`
  `setLocaleProviderFactory(BeanConfig localeProviderFactory)`
  `void`
  `setLocalizedTextProvider(Class<?> clazz)`
  `void`
  `setLocalizedTextProvider(BeanConfig localizedTextProvider)`
  `void`
  `setMapperActionPrefixCrossNamespaces(Boolean mapperActionPrefixCrossNamespaces)`
  `void`
  `setMapperActionPrefixEnabled(Boolean mapperActionPrefixEnabled)`
  `void`
  `setMapperAlwaysSelectFullNamespace(Boolean mapperAlwaysSelectFullNamespace)`
  `void`
  `setMapperClass(Class<?> clazz)`
  `void`
  `setMapperClass(BeanConfig mapperClass)`
  `void`
  `setMapperComposite(List<String> mapperComposite)`
  `void`
  `setMapperIdParameterName(String mapperIdParameterName)`
  `void`
  `setMapperPrefixMapping(List<String> mapperPrefixMapping)`
  `void`
  `setMultipartBufferSize(Integer multipartBufferSize)`
  `void`
  `setMultipartEnabled(Boolean multipartEnabled)`
  `void`
  `setMultipartMaxFiles(Long multipartMaxFiles)`
  `void`
  `setMultipartMaxFileSize(Long multipartMaxFileSize)`
  `void`
  `setMultipartMaxSize(Long multipartMaxSize)`
  `void`
  `setMultipartMaxStringLength(Long multipartMaxStringLength)`
  `void`
  `setMultipartParser(Class<?> clazz)`
  `void`
  `setMultipartParser(BeanConfig multipartParser)`
  `void`
  `setMultipartSaveDir(String multipartSaveDir)`
  `void`
  `setMultipartValidationRegex(Pattern multipartValidationRegex)`
  `void`
  `setNotExcludedAcceptedPatternsChecker(Class<?> clazz)`
  `void`
  `setNotExcludedAcceptedPatternsChecker(BeanConfig notExcludedAcceptedPatternsChecker)`
  `void`
  `setObjectFactory(Class<?> clazz)`
  `void`
  `setObjectFactory(BeanConfig objectFactory)`
  `void`
  `setObjectFactoryActionFactory(Class<?> clazz)`
  `void`
  `setObjectFactoryActionFactory(BeanConfig objectFactoryActionFactory)`
  `void`
  `setObjectFactoryConverterFactory(Class<?> clazz)`
  `void`
  `setObjectFactoryConverterFactory(BeanConfig objectFactoryConverterFactory)`
  `void`
  `setObjectFactoryInterceptorFactory(Class<?> clazz)`
  `void`
  `setObjectFactoryInterceptorFactory(BeanConfig objectFactoryInterceptorFactory)`
  `void`
  `setObjectFactoryResultFactory(Class<?> clazz)`
  `void`
  `setObjectFactoryResultFactory(BeanConfig objectFactoryResultFactory)`
  `void`
  `setObjectFactorySpringAutoWire(String objectFactorySpringAutoWire)`
  `void`
  `setObjectFactorySpringAutoWireAlwaysRespect(Boolean objectFactorySpringAutoWireAlwaysRespect)`
  `void`
  `setObjectFactorySpringEnableAopSupport(Boolean objectFactorySpringEnableAopSupport)`
  `void`
  `setObjectFactorySpringUseClassCache(Boolean objectFactorySpringUseClassCache)`
  `void`
  `setObjectFactoryUnknownHandlerFactory(Class<?> clazz)`
  `void`
  `setObjectFactoryUnknownHandlerFactory(BeanConfig objectFactoryUnknownHandlerFactory)`
  `void`
  `setObjectFactoryValidatorFactory(Class<?> clazz)`
  `void`
  `setObjectFactoryValidatorFactory(BeanConfig objectFactoryValidatorFactory)`
  `void`
  `setObjectTypeDeterminer(Class<?> clazz)`
  `void`
  `setObjectTypeDeterminer(BeanConfig objectTypeDeterminer)`
  `void`
  `setOgnlAllowStaticFieldAccess(Boolean ognlAllowStaticFieldAccess)`
  `void`
  `setOgnlAutoGrowthCollectionLimit(Integer ognlAutoGrowthCollectionLimit)`
  `void`
  `setOgnlEnableEvalExpression(Boolean ognlEnableEvalExpression)`
  `void`
  `setOgnlEnableExpressionCache(Boolean ognlEnableExpressionCache)`
  `void`
  `setOgnlLogMissingProperties(Boolean ognlLogMissingProperties)`
  `void`
  `setOverrideAcceptedPatterns(Set<Pattern> overrideAcceptedPatterns)`
  `void`
  `setOverrideExcludedPatterns(Set<Pattern> overrideExcludedPatterns)`
  `void`
  `setPatternMatcher(Class<?> clazz)`
  `void`
  `setPatternMatcher(BeanConfig patternMatcher)`
  `void`
  `setReflectionContextFactory(Class<?> clazz)`
  `void`
  `setReflectionContextFactory(BeanConfig reflectionContextFactory)`
  `void`
  `setReflectionProvider(Class<?> clazz)`
  `void`
  `setReflectionProvider(BeanConfig reflectionProvider)`
  `void`
  `setServeStatic(Boolean serveStatic)`
  `void`
  `setServeStaticBrowserCache(Boolean serveStaticBrowserCache)`
  `void`
  `setStaticContentLoader(Class<?> clazz)`
  `void`
  `setStaticContentLoader(BeanConfig staticContentLoader)`
  `void`
  `setStaticContentPath(String staticContentPath)`
  `void`
  `setStrictMethodInvocationMethodRegex(String strictMethodInvocationMethodRegex)`
  `void`
  `setTextProviderFactory(Class<?> clazz)`
  `void`
  `setTextProviderFactory(BeanConfig textProviderFactory)`
  `void`
  `setUiTemplateDir(String uiTemplateDir)`
  `void`
  `setUiTemplateSuffix(String uiTemplateSuffix)`
  `void`
  `setUiTheme(String uiTheme)`
  `void`
  `setUiThemeExpansionToken(String uiThemeExpansionToken)`
  `void`
  `setUnknownHandlerManager(Class<?> clazz)`
  `void`
  `setUnknownHandlerManager(BeanConfig unknownHandlerManager)`
  `void`
  `setUrlHttpPort(Integer urlHttpPort)`
  `void`
  `setUrlHttpsPort(Integer urlHttpsPort)`
  `void`
  `setUrlIncludeParams(String urlIncludeParams)`
  `void`
  `setUrlRenderer(Class<?> clazz)`
  `void`
  `setUrlRenderer(BeanConfig urlRenderer)`
  `void`
  `setValueStackFactory(Class<?> clazz)`
  `void`
  `setValueStackFactory(BeanConfig valueStackFactory)`
  `void`
  `setVelocityConfigfile(String velocityConfigfile)`
  `void`
  `setVelocityContexts(List<String> velocityContexts)`
  `void`
  `setVelocityManagerClassname(Class<?> clazz)`
  `void`
  `setVelocityManagerClassname(BeanConfig velocityManagerClassname)`
  `void`
  `setVelocityToolboxlocation(String velocityToolboxlocation)`
  `void`
  `setViewUrlHelper(Class<?> clazz)`
  `void`
  `setViewUrlHelper(BeanConfig viewUrlHelper)`
  `void`
  `setXsltNocache(Boolean xsltNocache)`
  `void`
  `setXworkConverter(Class<?> clazz)`
  `void`
  `setXworkConverter(BeanConfig xworkConverter)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ConstantConfig

    public ConstantConfig()

- ## Method Details

  - ### beanConfToString

    protected String beanConfToString(BeanConfig beanConf)

  - ### getAllAsStringsMap

    public Map<String,String> getAllAsStringsMap()

  - ### getDevMode

    public Boolean getDevMode()

  - ### setDevMode

    public void setDevMode(Boolean devMode)

  - ### getI18nReload

    public Boolean getI18nReload()

  - ### setI18nReload

    public void setI18nReload(Boolean i18nReload)

  - ### getI18nEncoding

    public String getI18nEncoding()

  - ### setI18nEncoding

    public void setI18nEncoding(String i18nEncoding)

  - ### getConfigurationXmlReload

    public Boolean getConfigurationXmlReload()

  - ### setConfigurationXmlReload

    public void setConfigurationXmlReload(Boolean configurationXmlReload)

  - ### getActionExtension

    public List<String> getActionExtension()

  - ### setActionExtension

    public void setActionExtension(List<String> actionExtension)

  - ### getActionExcludePattern

    public List<Pattern> getActionExcludePattern()

  - ### setActionExcludePattern

    public void setActionExcludePattern(List<Pattern> actionExcludePattern)

  - ### getUrlHttpPort

    public Integer getUrlHttpPort()

  - ### setUrlHttpPort

    public void setUrlHttpPort(Integer urlHttpPort)

  - ### getUrlHttpsPort

    public Integer getUrlHttpsPort()

  - ### setUrlHttpsPort

    public void setUrlHttpsPort(Integer urlHttpsPort)

  - ### getUrlIncludeParams

    public String getUrlIncludeParams()

  - ### setUrlIncludeParams

    public void setUrlIncludeParams(String urlIncludeParams)

  - ### getUrlRenderer

    public BeanConfig getUrlRenderer()

  - ### setUrlRenderer

    public void setUrlRenderer(BeanConfig urlRenderer)

  - ### setUrlRenderer

    public void setUrlRenderer(Class<?> clazz)

  - ### getObjectFactory

    public BeanConfig getObjectFactory()

  - ### setObjectFactory

    public void setObjectFactory(BeanConfig objectFactory)

  - ### setObjectFactory

    public void setObjectFactory(Class<?> clazz)

  - ### getObjectFactoryActionFactory

    public BeanConfig getObjectFactoryActionFactory()

  - ### setObjectFactoryActionFactory

    public void setObjectFactoryActionFactory(BeanConfig objectFactoryActionFactory)

  - ### setObjectFactoryActionFactory

    public void setObjectFactoryActionFactory(Class<?> clazz)

  - ### getObjectFactoryResultFactory

    public BeanConfig getObjectFactoryResultFactory()

  - ### setObjectFactoryResultFactory

    public void setObjectFactoryResultFactory(BeanConfig objectFactoryResultFactory)

  - ### setObjectFactoryResultFactory

    public void setObjectFactoryResultFactory(Class<?> clazz)

  - ### getObjectFactoryConverterFactory

    public BeanConfig getObjectFactoryConverterFactory()

  - ### setObjectFactoryConverterFactory

    public void setObjectFactoryConverterFactory(BeanConfig objectFactoryConverterFactory)

  - ### setObjectFactoryConverterFactory

    public void setObjectFactoryConverterFactory(Class<?> clazz)

  - ### getObjectFactoryInterceptorFactory

    public BeanConfig getObjectFactoryInterceptorFactory()

  - ### setObjectFactoryInterceptorFactory

    public void setObjectFactoryInterceptorFactory(BeanConfig objectFactoryInterceptorFactory)

  - ### setObjectFactoryInterceptorFactory

    public void setObjectFactoryInterceptorFactory(Class<?> clazz)

  - ### getObjectFactoryValidatorFactory

    public BeanConfig getObjectFactoryValidatorFactory()

  - ### setObjectFactoryValidatorFactory

    public void setObjectFactoryValidatorFactory(BeanConfig objectFactoryValidatorFactory)

  - ### setObjectFactoryValidatorFactory

    public void setObjectFactoryValidatorFactory(Class<?> clazz)

  - ### getObjectFactoryUnknownHandlerFactory

    public BeanConfig getObjectFactoryUnknownHandlerFactory()

  - ### setObjectFactoryUnknownHandlerFactory

    public void setObjectFactoryUnknownHandlerFactory(BeanConfig objectFactoryUnknownHandlerFactory)

  - ### setObjectFactoryUnknownHandlerFactory

    public void setObjectFactoryUnknownHandlerFactory(Class<?> clazz)

  - ### getObjectTypeDeterminer

    public BeanConfig getObjectTypeDeterminer()

  - ### setObjectTypeDeterminer

    public void setObjectTypeDeterminer(BeanConfig objectTypeDeterminer)

  - ### setObjectTypeDeterminer

    public void setObjectTypeDeterminer(Class<?> clazz)

  - ### getLocale

    public Locale getLocale()

  - ### setLocale

    public void setLocale(Locale locale)

  - ### getDispatcherParametersWorkaround

    public Boolean getDispatcherParametersWorkaround()

  - ### setDispatcherParametersWorkaround

    public void setDispatcherParametersWorkaround(Boolean dispatcherParametersWorkaround)

  - ### getFreemarkerManagerClassname

    public BeanConfig getFreemarkerManagerClassname()

  - ### setFreemarkerManagerClassname

    public void setFreemarkerManagerClassname(BeanConfig freemarkerManagerClassname)

  - ### setFreemarkerManagerClassname

    public void setFreemarkerManagerClassname(Class<?> clazz)

  - ### getFreemarkerTemplatesCacheUpdateDelay

    public String getFreemarkerTemplatesCacheUpdateDelay()

  - ### setFreemarkerTemplatesCacheUpdateDelay

    public void setFreemarkerTemplatesCacheUpdateDelay(String freemarkerTemplatesCacheUpdateDelay)

  - ### getFreemarkerBeanwrapperCache

    public Boolean getFreemarkerBeanwrapperCache()

  - ### setFreemarkerBeanwrapperCache

    public void setFreemarkerBeanwrapperCache(Boolean freemarkerBeanwrapperCache)

  - ### getFreemarkerMruMaxStrongSize

    public Integer getFreemarkerMruMaxStrongSize()

  - ### setFreemarkerMruMaxStrongSize

    public void setFreemarkerMruMaxStrongSize(Integer freemarkerMruMaxStrongSize)

  - ### getVelocityManagerClassname

    public BeanConfig getVelocityManagerClassname()

  - ### setVelocityManagerClassname

    public void setVelocityManagerClassname(BeanConfig velocityManagerClassname)

  - ### setVelocityManagerClassname

    public void setVelocityManagerClassname(Class<?> clazz)

  - ### getVelocityConfigfile

    public String getVelocityConfigfile()

  - ### setVelocityConfigfile

    public void setVelocityConfigfile(String velocityConfigfile)

  - ### getVelocityToolboxlocation

    public String getVelocityToolboxlocation()

  - ### setVelocityToolboxlocation

    public void setVelocityToolboxlocation(String velocityToolboxlocation)

  - ### getVelocityContexts

    public List<String> getVelocityContexts()

  - ### setVelocityContexts

    public void setVelocityContexts(List<String> velocityContexts)

  - ### getUiTemplateDir

    public String getUiTemplateDir()

  - ### setUiTemplateDir

    public void setUiTemplateDir(String uiTemplateDir)

  - ### getUiTheme

    public String getUiTheme()

  - ### setUiTheme

    public void setUiTheme(String uiTheme)

  - ### getUiThemeExpansionToken

    public String getUiThemeExpansionToken()

  - ### setUiThemeExpansionToken

    public void setUiThemeExpansionToken(String uiThemeExpansionToken)

  - ### getMultipartMaxSize

    public Long getMultipartMaxSize()

  - ### setMultipartMaxSize

    public void setMultipartMaxSize(Long multipartMaxSize)

  - ### getMultipartMaxFiles

    public Long getMultipartMaxFiles()

  - ### setMultipartMaxFiles

    public void setMultipartMaxFiles(Long multipartMaxFiles)

  - ### getMultipartMaxFileSize

    public Long getMultipartMaxFileSize()

  - ### setMultipartMaxFileSize

    public void setMultipartMaxFileSize(Long multipartMaxFileSize)

  - ### getMultipartMaxStringLength

    public Long getMultipartMaxStringLength()

  - ### setMultipartMaxStringLength

    public void setMultipartMaxStringLength(Long multipartMaxStringLength)

  - ### getMultipartSaveDir

    public String getMultipartSaveDir()

  - ### setMultipartSaveDir

    public void setMultipartSaveDir(String multipartSaveDir)

  - ### getMultipartBufferSize

    public Integer getMultipartBufferSize()

  - ### setMultipartBufferSize

    public void setMultipartBufferSize(Integer multipartBufferSize)

  - ### getMultipartParser

    public BeanConfig getMultipartParser()

  - ### setMultipartParser

    public void setMultipartParser(BeanConfig multipartParser)

  - ### setMultipartParser

    public void setMultipartParser(Class<?> clazz)

  - ### getMultipartEnabled

    public Boolean getMultipartEnabled()

  - ### setMultipartEnabled

    public void setMultipartEnabled(Boolean multipartEnabled)

  - ### getMultipartValidationRegex

    public Pattern getMultipartValidationRegex()

  - ### setMultipartValidationRegex

    public void setMultipartValidationRegex(Pattern multipartValidationRegex)

  - ### getObjectFactorySpringAutoWire

    public String getObjectFactorySpringAutoWire()

  - ### setObjectFactorySpringAutoWire

    public void setObjectFactorySpringAutoWire(String objectFactorySpringAutoWire)

  - ### getObjectFactorySpringAutoWireAlwaysRespect

    public Boolean getObjectFactorySpringAutoWireAlwaysRespect()

  - ### setObjectFactorySpringAutoWireAlwaysRespect

    public void setObjectFactorySpringAutoWireAlwaysRespect(Boolean objectFactorySpringAutoWireAlwaysRespect)

  - ### getObjectFactorySpringUseClassCache

    public Boolean getObjectFactorySpringUseClassCache()

  - ### setObjectFactorySpringUseClassCache

    public void setObjectFactorySpringUseClassCache(Boolean objectFactorySpringUseClassCache)

  - ### getObjectFactorySpringEnableAopSupport

    public Boolean getObjectFactorySpringEnableAopSupport()

  - ### setObjectFactorySpringEnableAopSupport

    public void setObjectFactorySpringEnableAopSupport(Boolean objectFactorySpringEnableAopSupport)

  - ### getXsltNocache

    public Boolean getXsltNocache()

  - ### setXsltNocache

    public void setXsltNocache(Boolean xsltNocache)

  - ### getCustomProperties

    public List<String> getCustomProperties()

  - ### setCustomProperties

    public void setCustomProperties(List<String> customProperties)

  - ### getCustomI18nResources

    public List<String> getCustomI18nResources()

  - ### setCustomI18nResources

    public void setCustomI18nResources(List<String> customI18nResources)

  - ### getMapperClass

    public BeanConfig getMapperClass()

  - ### setMapperClass

    public void setMapperClass(BeanConfig mapperClass)

  - ### setMapperClass

    public void setMapperClass(Class<?> clazz)

  - ### getMapperPrefixMapping

    public List<String> getMapperPrefixMapping()

  - ### setMapperPrefixMapping

    public void setMapperPrefixMapping(List<String> mapperPrefixMapping)

  - ### getServeStatic

    public Boolean getServeStatic()

  - ### setServeStatic

    public void setServeStatic(Boolean serveStatic)

  - ### getServeStaticBrowserCache

    public Boolean getServeStaticBrowserCache()

  - ### setServeStaticBrowserCache

    public void setServeStaticBrowserCache(Boolean serveStaticBrowserCache)

  - ### getEnableDynamicMethodInvocation

    public Boolean getEnableDynamicMethodInvocation()

  - ### setEnableDynamicMethodInvocation

    public void setEnableDynamicMethodInvocation(Boolean enableDynamicMethodInvocation)

  - ### getEnableSlashesInActionNames

    public Boolean getEnableSlashesInActionNames()

  - ### setEnableSlashesInActionNames

    public void setEnableSlashesInActionNames(Boolean enableSlashesInActionNames)

  - ### getMapperComposite

    public List<String> getMapperComposite()

  - ### setMapperComposite

    public void setMapperComposite(List<String> mapperComposite)

  - ### getActionProxyFactory

    public BeanConfig getActionProxyFactory()

  - ### setActionProxyFactory

    public void setActionProxyFactory(BeanConfig actionProxyFactory)

  - ### setActionProxyFactory

    public void setActionProxyFactory(Class<?> clazz)

  - ### getFreemarkerWrapperAltMap

    public Boolean getFreemarkerWrapperAltMap()

  - ### setFreemarkerWrapperAltMap

    public void setFreemarkerWrapperAltMap(Boolean freemarkerWrapperAltMap)

  - ### getXworkConverter

    public BeanConfig getXworkConverter()

  - ### setXworkConverter

    public void setXworkConverter(BeanConfig xworkConverter)

  - ### setXworkConverter

    public void setXworkConverter(Class<?> clazz)

  - ### getMapperAlwaysSelectFullNamespace

    public Boolean getMapperAlwaysSelectFullNamespace()

  - ### setMapperAlwaysSelectFullNamespace

    public void setMapperAlwaysSelectFullNamespace(Boolean mapperAlwaysSelectFullNamespace)

  - ### getActionConfigFallbackToEmptyNamespace

    public Boolean getActionConfigFallbackToEmptyNamespace()

  - ### setActionConfigFallbackToEmptyNamespace

    public void setActionConfigFallbackToEmptyNamespace(Boolean actionConfigFallbackToEmptyNamespace)

  - ### getLocaleProviderFactory

    public BeanConfig getLocaleProviderFactory()

  - ### setLocaleProviderFactory

    public void setLocaleProviderFactory(BeanConfig localeProviderFactory)

  - ### setLocaleProviderFactory

    public void setLocaleProviderFactory(Class<?> clazz)

  - ### getMapperIdParameterName

    public String getMapperIdParameterName()

  - ### setMapperIdParameterName

    public void setMapperIdParameterName(String mapperIdParameterName)

  - ### getOgnlAllowStaticFieldAccess

    public Boolean getOgnlAllowStaticFieldAccess()

  - ### setOgnlAllowStaticFieldAccess

    public void setOgnlAllowStaticFieldAccess(Boolean ognlAllowStaticFieldAccess)

  - ### getActionValidatorManager

    public BeanConfig getActionValidatorManager()

  - ### setActionValidatorManager

    public void setActionValidatorManager(BeanConfig actionValidatorManager)

  - ### setActionValidatorManager

    public void setActionValidatorManager(Class<?> clazz)

  - ### getValueStackFactory

    public BeanConfig getValueStackFactory()

  - ### setValueStackFactory

    public void setValueStackFactory(BeanConfig valueStackFactory)

  - ### setValueStackFactory

    public void setValueStackFactory(Class<?> clazz)

  - ### getReflectionProvider

    public BeanConfig getReflectionProvider()

  - ### setReflectionProvider

    public void setReflectionProvider(BeanConfig reflectionProvider)

  - ### setReflectionProvider

    public void setReflectionProvider(Class<?> clazz)

  - ### getReflectionContextFactory

    public BeanConfig getReflectionContextFactory()

  - ### setReflectionContextFactory

    public void setReflectionContextFactory(BeanConfig reflectionContextFactory)

  - ### setReflectionContextFactory

    public void setReflectionContextFactory(Class<?> clazz)

  - ### getPatternMatcher

    public BeanConfig getPatternMatcher()

  - ### setPatternMatcher

    public void setPatternMatcher(BeanConfig patternMatcher)

  - ### setPatternMatcher

    public void setPatternMatcher(Class<?> clazz)

  - ### getStaticContentLoader

    public BeanConfig getStaticContentLoader()

  - ### setStaticContentLoader

    public void setStaticContentLoader(BeanConfig staticContentLoader)

  - ### setStaticContentLoader

    public void setStaticContentLoader(Class<?> clazz)

  - ### getUnknownHandlerManager

    public BeanConfig getUnknownHandlerManager()

  - ### setUnknownHandlerManager

    public void setUnknownHandlerManager(BeanConfig unknownHandlerManager)

  - ### setUnknownHandlerManager

    public void setUnknownHandlerManager(Class<?> clazz)

  - ### getElThrowExceptionOnFailure

    public Boolean getElThrowExceptionOnFailure()

  - ### setElThrowExceptionOnFailure

    public void setElThrowExceptionOnFailure(Boolean elThrowExceptionOnFailure)

  - ### getOgnlLogMissingProperties

    public Boolean getOgnlLogMissingProperties()

  - ### setOgnlLogMissingProperties

    public void setOgnlLogMissingProperties(Boolean ognlLogMissingProperties)

  - ### getOgnlEnableExpressionCache

    public Boolean getOgnlEnableExpressionCache()

  - ### setOgnlEnableExpressionCache

    public void setOgnlEnableExpressionCache(Boolean ognlEnableExpressionCache)

  - ### getOgnlEnableEvalExpression

    public Boolean getOgnlEnableEvalExpression()

  - ### setOgnlEnableEvalExpression

    public void setOgnlEnableEvalExpression(Boolean ognlEnableEvalExpression)

  - ### getDisableRequestAttributeValueStackLookup

    public Boolean getDisableRequestAttributeValueStackLookup()

  - ### setDisableRequestAttributeValueStackLookup

    public void setDisableRequestAttributeValueStackLookup(Boolean disableRequestAttributeValueStackLookup)

  - ### getViewUrlHelper

    public BeanConfig getViewUrlHelper()

  - ### setViewUrlHelper

    public void setViewUrlHelper(BeanConfig viewUrlHelper)

  - ### setViewUrlHelper

    public void setViewUrlHelper(Class<?> clazz)

  - ### getConverterCollection

    public BeanConfig getConverterCollection()

  - ### setConverterCollection

    public void setConverterCollection(BeanConfig converterCollection)

  - ### setConverterCollection

    public void setConverterCollection(Class<?> clazz)

  - ### getConverterArray

    public BeanConfig getConverterArray()

  - ### setConverterArray

    public void setConverterArray(BeanConfig converterArray)

  - ### setConverterArray

    public void setConverterArray(Class<?> clazz)

  - ### getConverterDate

    public BeanConfig getConverterDate()

  - ### setConverterDate

    public void setConverterDate(BeanConfig converterDate)

  - ### setConverterDate

    public void setConverterDate(Class<?> clazz)

  - ### getConverterNumber

    public BeanConfig getConverterNumber()

  - ### setConverterNumber

    public void setConverterNumber(BeanConfig converterNumber)

  - ### setConverterNumber

    public void setConverterNumber(Class<?> clazz)

  - ### getConverterString

    public BeanConfig getConverterString()

  - ### setConverterString

    public void setConverterString(BeanConfig converterString)

  - ### setConverterString

    public void setConverterString(Class<?> clazz)

  - ### getHandleException

    public Boolean getHandleException()

  - ### setHandleException

    public void setHandleException(Boolean handleException)

  - ### getConverterPropertiesProcessor

    public BeanConfig getConverterPropertiesProcessor()

  - ### setConverterPropertiesProcessor

    public void setConverterPropertiesProcessor(BeanConfig converterPropertiesProcessor)

  - ### setConverterPropertiesProcessor

    public void setConverterPropertiesProcessor(Class<?> clazz)

  - ### getConverterFileProcessor

    public BeanConfig getConverterFileProcessor()

  - ### setConverterFileProcessor

    public void setConverterFileProcessor(BeanConfig converterFileProcessor)

  - ### setConverterFileProcessor

    public void setConverterFileProcessor(Class<?> clazz)

  - ### getConverterAnnotationProcessor

    public BeanConfig getConverterAnnotationProcessor()

  - ### setConverterAnnotationProcessor

    public void setConverterAnnotationProcessor(BeanConfig converterAnnotationProcessor)

  - ### setConverterAnnotationProcessor

    public void setConverterAnnotationProcessor(Class<?> clazz)

  - ### getConverterCreator

    public BeanConfig getConverterCreator()

  - ### setConverterCreator

    public void setConverterCreator(BeanConfig converterCreator)

  - ### setConverterCreator

    public void setConverterCreator(Class<?> clazz)

  - ### getConverterHolder

    public BeanConfig getConverterHolder()

  - ### setConverterHolder

    public void setConverterHolder(BeanConfig ConverterHolder)

  - ### setConverterHolder

    public void setConverterHolder(Class<?> clazz)

  - ### getExpressionParser

    public BeanConfig getExpressionParser()

  - ### setExpressionParser

    public void setExpressionParser(BeanConfig expressionParser)

  - ### setExpressionParser

    public void setExpressionParser(Class<?> clazz)

  - ### getAllowedActionNames

    public Pattern getAllowedActionNames()

  - ### setAllowedActionNames

    public void setAllowedActionNames(Pattern allowedActionNames)

  - ### getDefaultActionName

    public String getDefaultActionName()

  - ### setDefaultActionName

    public void setDefaultActionName(String defaultActionName)

  - ### getAllowedMethodNames

    public Pattern getAllowedMethodNames()

  - ### setAllowedMethodNames

    public void setAllowedMethodNames(Pattern allowedMethodNames)

  - ### getDefaultMethodName

    public String getDefaultMethodName()

  - ### setDefaultMethodName

    public void setDefaultMethodName(String defaultMethodName)

  - ### getMapperActionPrefixEnabled

    public Boolean getMapperActionPrefixEnabled()

  - ### setMapperActionPrefixEnabled

    public void setMapperActionPrefixEnabled(Boolean mapperActionPrefixEnabled)

  - ### getMapperActionPrefixCrossNamespaces

    public Boolean getMapperActionPrefixCrossNamespaces()

  - ### setMapperActionPrefixCrossNamespaces

    public void setMapperActionPrefixCrossNamespaces(Boolean mapperActionPrefixCrossNamespaces)

  - ### getUiTemplateSuffix

    public String getUiTemplateSuffix()

  - ### setUiTemplateSuffix

    public void setUiTemplateSuffix(String uiTemplateSuffix)

  - ### getDispatcherErrorHandler

    public BeanConfig getDispatcherErrorHandler()

  - ### setDispatcherErrorHandler

    public void setDispatcherErrorHandler(BeanConfig dispatcherErrorHandler)

  - ### setDispatcherErrorHandler

    public void setDispatcherErrorHandler(Class<?> clazz)

  - ### getExcludedClasses

    public Set<Class<?>> getExcludedClasses()

  - ### setExcludedClasses

    public void setExcludedClasses(Set<Class<?>> excludedClasses)

  - ### getExcludedPackageNamePatterns

    public List<Pattern> getExcludedPackageNamePatterns()

  - ### setExcludedPackageNamePatterns

    public void setExcludedPackageNamePatterns(List<Pattern> excludedPackageNamePatterns)

  - ### getExcludedPackageNames

    public Set<String> getExcludedPackageNames()

  - ### setExcludedPackageNames

    public void setExcludedPackageNames(Set<String> excludedPackageNames)

  - ### getExcludedPackageExemptClasses

    public Set<Class<?>> getExcludedPackageExemptClasses()

  - ### setExcludedPackageExemptClasses

    public void setExcludedPackageExemptClasses(Set<Class<?>> excludedPackageExemptClasses)

  - ### getDevModeExcludedClasses

    public Set<Class<?>> getDevModeExcludedClasses()

  - ### setDevModeExcludedClasses

    public void setDevModeExcludedClasses(Set<Class<?>> devModeExcludedClasses)

  - ### getDevModeExcludedPackageNamePatterns

    public List<Pattern> getDevModeExcludedPackageNamePatterns()

  - ### setDevModeExcludedPackageNamePatterns

    public void setDevModeExcludedPackageNamePatterns(List<Pattern> devModeExcludedPackageNamePatterns)

  - ### getDevModeExcludedPackageNames

    public Set<String> getDevModeExcludedPackageNames()

  - ### setDevModeExcludedPackageNames

    public void setDevModeExcludedPackageNames(Set<String> devModeExcludedPackageNames)

  - ### getDevModeExcludedPackageExemptClasses

    public Set<Class<?>> getDevModeExcludedPackageExemptClasses()

  - ### setDevModeExcludedPackageExemptClasses

    public void setDevModeExcludedPackageExemptClasses(Set<Class<?>> devModeExcludedPackageExemptClasses)

  - ### getExcludedPatternsChecker

    public BeanConfig getExcludedPatternsChecker()

  - ### setExcludedPatternsChecker

    public void setExcludedPatternsChecker(BeanConfig excludedPatternsChecker)

  - ### setExcludedPatternsChecker

    public void setExcludedPatternsChecker(Class<?> clazz)

  - ### getAcceptedPatternsChecker

    public BeanConfig getAcceptedPatternsChecker()

  - ### setAcceptedPatternsChecker

    public void setAcceptedPatternsChecker(BeanConfig acceptedPatternsChecker)

  - ### setAcceptedPatternsChecker

    public void setAcceptedPatternsChecker(Class<?> clazz)

  - ### getNotExcludedAcceptedPatternsChecker

    public BeanConfig getNotExcludedAcceptedPatternsChecker()

  - ### setNotExcludedAcceptedPatternsChecker

    public void setNotExcludedAcceptedPatternsChecker(BeanConfig notExcludedAcceptedPatternsChecker)

  - ### setNotExcludedAcceptedPatternsChecker

    public void setNotExcludedAcceptedPatternsChecker(Class<?> clazz)

  - ### getOverrideExcludedPatterns

    public Set<Pattern> getOverrideExcludedPatterns()

  - ### setOverrideExcludedPatterns

    public void setOverrideExcludedPatterns(Set<Pattern> overrideExcludedPatterns)

  - ### getOverrideAcceptedPatterns

    public Set<Pattern> getOverrideAcceptedPatterns()

  - ### setOverrideAcceptedPatterns

    public void setOverrideAcceptedPatterns(Set<Pattern> overrideAcceptedPatterns)

  - ### getAdditionalExcludedPatterns

    public Set<Pattern> getAdditionalExcludedPatterns()

  - ### setAdditionalExcludedPatterns

    public void setAdditionalExcludedPatterns(Set<Pattern> additionalExcludedPatterns)

  - ### getAdditionalAcceptedPatterns

    public Set<Pattern> getAdditionalAcceptedPatterns()

  - ### setAdditionalAcceptedPatterns

    public void setAdditionalAcceptedPatterns(Set<Pattern> additionalAcceptedPatterns)

  - ### getContentTypeMatcher

    public BeanConfig getContentTypeMatcher()

  - ### setContentTypeMatcher

    public void setContentTypeMatcher(BeanConfig contentTypeMatcher)

  - ### setContentTypeMatcher

    public void setContentTypeMatcher(Class<?> clazz)

  - ### getStrictMethodInvocationMethodRegex

    public String getStrictMethodInvocationMethodRegex()

  - ### setStrictMethodInvocationMethodRegex

    public void setStrictMethodInvocationMethodRegex(String strictMethodInvocationMethodRegex)

  - ### getTextProviderFactory

    public BeanConfig getTextProviderFactory()

  - ### setTextProviderFactory

    public void setTextProviderFactory(BeanConfig textProviderFactory)

  - ### setTextProviderFactory

    public void setTextProviderFactory(Class<?> clazz)

  - ### getLocalizedTextProvider

    public BeanConfig getLocalizedTextProvider()

  - ### setLocalizedTextProvider

    public void setLocalizedTextProvider(BeanConfig localizedTextProvider)

  - ### setLocalizedTextProvider

    public void setLocalizedTextProvider(Class<?> clazz)

  - ### getDisallowProxyObjectAccess

    public Boolean getDisallowProxyObjectAccess()

  - ### setDisallowProxyObjectAccess

    public void setDisallowProxyObjectAccess(Boolean disallowProxyObjectAccess)

  - ### getDisallowProxyMemberAccess

    public Boolean getDisallowProxyMemberAccess()

  - ### setDisallowProxyMemberAccess

    public void setDisallowProxyMemberAccess(Boolean disallowProxyMemberAccess)

  - ### getOgnlAutoGrowthCollectionLimit

    public Integer getOgnlAutoGrowthCollectionLimit()

  - ### setOgnlAutoGrowthCollectionLimit

    public void setOgnlAutoGrowthCollectionLimit(Integer ognlAutoGrowthCollectionLimit)

  - ### getStaticContentPath

    public String getStaticContentPath()

  - ### setStaticContentPath

    public void setStaticContentPath(String staticContentPath)

  - ### getExpressionCacheFactory

    public BeanConfig getExpressionCacheFactory()

  - ### setExpressionCacheFactory

    public void setExpressionCacheFactory(BeanConfig expressionCacheFactory)

  - ### setExpressionCacheFactory

    public void setExpressionCacheFactory(Class<?> clazz)

  - ### getBeaninfoCacheFactory

    public BeanConfig getBeaninfoCacheFactory()

  - ### setBeaninfoCacheFactory

    public void setBeaninfoCacheFactory(BeanConfig beaninfoCacheFactory)

  - ### setBeaninfoCacheFactory

    public void setBeaninfoCacheFactory(Class<?> clazz)